Bullet Collision Detection & Physics Library: ExpandConstraintRowsLoop Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ExpandConstraintRowsLoop Struct Reference
Inheritance diagram for ExpandConstraintRowsLoop:
[legend]
Collaboration diagram for ExpandConstraintRowsLoop:
[legend]

## Public Member Functions
| ExpandConstraintRowsLoop (int *destConstraintBatchIds, const int *srcConstraintBatchIds, const btBatchedConstraintInfo *conInfos, int numConstraintRows)
void | forLoop (int iBegin, int iEnd) const BT_OVERRIDE
Public Member Functions inherited from btIParallelForBody
virtual | ~btIParallelForBody ()

## Public Attributes
int * | m_destConstraintBatchIds
const int * | m_srcConstraintBatchIds
const btBatchedConstraintInfo * | m_conInfos
int | m_numConstraintRows

## Detailed Description

Definition at line 303 of file btBatchedConstraints.cpp.

## Constructor & Destructor Documentation

## ◆ ExpandConstraintRowsLoop()

ExpandConstraintRowsLoop::ExpandConstraintRowsLoop | ( | int * | destConstraintBatchIds,
|  | const int * | srcConstraintBatchIds,
|  | const btBatchedConstraintInfo * | conInfos,
|  | int | numConstraintRows )
| inline

Definition at line 310 of file btBatchedConstraints.cpp.

## Member Function Documentation

## ◆ forLoop()

void ExpandConstraintRowsLoop::forLoop | ( | int | iBegin,
|  | int | iEnd ) const
| inlinevirtual

Implements btIParallelForBody.

Definition at line 317 of file btBatchedConstraints.cpp.

## Member Data Documentation

## ◆ m_conInfos

const btBatchedConstraintInfo* ExpandConstraintRowsLoop::m_conInfos

Definition at line 307 of file btBatchedConstraints.cpp.

## ◆ m_destConstraintBatchIds

int* ExpandConstraintRowsLoop::m_destConstraintBatchIds

Definition at line 305 of file btBatchedConstraints.cpp.

## ◆ m_numConstraintRows

int ExpandConstraintRowsLoop::m_numConstraintRows

Definition at line 308 of file btBatchedConstraints.cpp.

## ◆ m_srcConstraintBatchIds

const int* ExpandConstraintRowsLoop::m_srcConstraintBatchIds

Definition at line 306 of file btBatchedConstraints.cpp.

The documentation for this struct was generated from the following file:

- btBatchedConstraints.cpp